# Interface ServerRef

All Superinterfaces:
  `Externalizable, RemoteRef, Serializable`

@Deprecated public interface ServerRef extends RemoteRef
Deprecated.
No replacement. This interface is unused and is obsolete.
A ServerRef represents the server-side handle for a remote object implementation.

Since:
  1.1

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`serialVersionUID`
Deprecated.
A `serialVersionUID` field in an interface is ineffectual.

### Fields declared in interface RemoteRef

`packagePrefix`
Modifier and Type
Field
Description
`static final String`
`packagePrefix`
Initialize the server package prefix: assumes that the implementation of server ref classes (e.g., UnicastRef, UnicastServerRef) are located in the package defined by the prefix.

## Method Summary

Modifier and Type
Method
Description
`RemoteStub`
`exportObject(Remote obj, Object data)`
Deprecated.
Creates a client stub object for the supplied Remote object.
`String`
`getClientHost()`
Deprecated.
Returns the hostname of the current client.

### Methods declared in interface Externalizable

`readExternal, writeExternal`
Modifier and Type
Method
Description
`void`
`readExternal(ObjectInput in)`
The object implements the readExternal method to restore its contents by calling the methods of DataInput for primitive types and readObject for objects, strings and arrays.
`void`
`writeExternal(ObjectOutput out)`
The object implements the writeExternal method to save its contents by calling the methods of DataOutput for its primitive values or calling the writeObject method of ObjectOutput for objects, strings, and arrays.

### Methods declared in interface RemoteRef

`done, getRefClass, invoke, invoke, newCall, remoteEquals, remoteHashCode, remoteToString`
Modifier and Type
Method
Description
`void`
`done(RemoteCall call)`
Deprecated.
1.2 style stubs no longer use this method.
`String`
`getRefClass(ObjectOutput out)`
Returns the class name of the ref type to be serialized onto the stream 'out'.
`Object`
`invoke(Remote obj, Method method, Object[] params, long opnum)`
Invoke a method.
`void`
`invoke(RemoteCall call)`
Deprecated.
1.2 style stubs no longer use this method.
`RemoteCall`
`newCall(RemoteObject obj, Operation[] op, int opnum, long hash)`
Deprecated.
1.2 style stubs no longer use this method.
`boolean`
`remoteEquals(RemoteRef obj)`
Compares two remote objects for equality.
`int`
`remoteHashCode()`
Returns a hashcode for a remote object.
`String`
`remoteToString()`
Returns a String that represents the reference of this remote object.

## Field Details

### serialVersionUID

@Deprecated static final long serialVersionUID
Deprecated.
A `serialVersionUID` field in an interface is ineffectual. Do not use; no replacement.
indicate compatibility with JDK 1.1.x version of class.

See Also:
  - Constant Field Values

## Method Details

### exportObject

RemoteStub exportObject(Remote obj, Object data) throws RemoteException
Deprecated.
Creates a client stub object for the supplied Remote object. If the call completes successfully, the remote object should be able to accept incoming calls from clients.

Parameters:
  `obj` - the remote object implementation
  `data` - information necessary to export the object
Returns:
  the stub for the remote object
Throws:
  `RemoteException` - if an exception occurs attempting to export the object (e.g., stub class could not be found)
Since:
  1.1

### getClientHost

String getClientHost() throws ServerNotActiveException
Deprecated.
Returns the hostname of the current client. When called from a thread actively handling a remote method invocation the hostname of the client is returned.

Returns:
  the client's host name
Throws:
  `ServerNotActiveException` - if called outside of servicing a remote method invocation
Since:
  1.1